## Index

### Enumerations

- TableDomSpanDirection

### Classes

- DataGridInteractionModel
- ExpandedRowHover
- Table
- TableAdapter
- TableCellAdapter
- TableContainer
- TableDirective
- TableDomAdapter
- TableHeaderItem
- TableItem
- TableModel
- TableModule
- TableRow
- TableRowAdapter

### Interfaces

- DataGridPosition
- TableTranslations

### Type aliases

- HeaderType
- TableRowSize

## Type aliases

### HeaderType

HeaderType: number | "select" | "expand"

- Defined in src/table/table-model.class.ts:11

### TableRowSize

TableRowSize: "sm" | "sh" | "md" | "lg"

- Defined in src/table/table.types.ts:9

Generated using TypeDoc